<% title "Network Topology" %>
<% breadcrumb workspace_link, link_to("Analysis", hosts_path(@workspace)), link_to("Map", "../hosts/map") %>

<%= render :partial => 'shared/analysis_tabs' %>

<div id="map-table-wrapper">
	<div class='tab_panel'>

<% content_for :header_buttons do %>
	<%= form_tag "../hosts/map", :method => :get do %>
		<script type="text/javascript">
		   (function() {jQuery(function($) {return $(document).ready(function() {
		     return $('#search').inputHint({
		     fadeOutSpeed: 300,
		     padding: '2px',
		     paddingLeft: '5px'
		    });
		    });
		    });
		    }).call(this);
		</script>

		<%= text_field_tag :search, '', :title => "Search Map" %>
				
		<% if params.has_key?(:trace_hosts) %>
			<%= hidden_field_tag "trace_hosts" %>
		<% end %>

	<% end %>
<% end %>

<% if flash[:nodes] and !params.has_key?(:all) -%> 
      <div class="errors"><%= flash[:nodes] %></div>
      <a href="../hosts/map?all<% if params.has_key?(:trace_hosts) %>&trace_hosts<% end %><% if params.has_key?(:search) %>&search=<%=h params[:search] %><% end %>">CONTINUE</a>       
<% else %>

<%= include_javascript 'jquery.tipsy' %>
<%= include_javascript 'd3' %>
<%= include_javascript 'd3.layout' %>


<%= content_tag :style, :type => "text/css" do -%>
.link { fill: none; stroke: #ccc; stroke-width: 1.5;}
.nodetext {color: #000; text-align:left; pointer-events: none; font: 12px sans-serif; }
.treetext_small {color: #000; text-align:left; padding-left: 2px; pointer-events: none; font: 10px sans-serif; }
.treetext_large {color: #000; text-align:left; padding-left: 2px; pointer-events: none; font: 12px sans-serif; }
.al { color: #069; text-align:left; font: 14px sans-serif;}
.linktext { color: #069; text-align:left; font: 13px sans-serif; }

path.link {
  fill: none;
  stroke: #ccc;
  stroke-width: 1.5px;
}
<% end -%>

<script type="text/javascript">
	<%= render :partial => 'map.js.erb' %>
</script>

</div>
<% end %>

</div>

